import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:marianum_mobile/api/mhsl/message/getMessages/getMessagesResponse.dart';
import 'package:marianum_mobile/api/mhsl/message/messageApi.dart';

class GetMessages extends MessageApi<GetMessagesResponse> {

  @override
  GetMessagesResponse assemble(String raw) {
    return GetMessagesResponse.fromJson(jsonDecode(raw));
  }

  @override
  Future<http.Response> request(Uri uri) {
    return http.get(uri);
  }
}