import 'dart:convert';

import 'package:marianum_mobile/api/webuntis/webuntisApi.dart';

import 'getSubjectsResponse.dart';

class GetSubjects extends WebuntisApi {
  GetSubjects() : super("getSubjects", null);

  @override
  Future<GetSubjectsResponse> run() async {
    String rawAnswer = await query(this);
    return finalize(GetSubjectsResponse.fromJson(jsonDecode(rawAnswer)));
  }
}